/**
 * 验证电话号码（手机号码+电话号码）
 * 
 * @param obj
 * @returns {Boolean}
 */
function checkPhoneNum(obj) {
	if (/^((\d{3}-\d{8}|\d{4}-\d{7,8})|(1[3|5|7|8][0-9]{9}))$/.test(obj)) {
		return true;
	}
	return false;
}

/**
 * 验证企业地址（中文、英文、数字）
 * 
 * @param obj
 */
function checkAddress(obj) {
	if (/^[\u4e00-\u9fa5a-zA-Z]{1,5}[\u4e00-\u9fa5a-zA-Z0-9]{1,25}$/.test(obj)) {
		return true;
	}
	return false;
}

/**
 * 验证用户名输入格式
 * 
 * @param obj
 * @returns {Boolean}
 */
function checkUserName(obj) {
	/*
	 * if (/^([\u4E00-\uFA29]|[\uE7C7-\uE7F3]|[a-zA-Z0-9]){1,30}$/.test(obj)) {
	 * return true; }
	 */
	var re1 = new RegExp(
			"^([\u4E00-\uFA29]|[\uE7C7-\uE7F3]|[a-zA-Z0-9]){1,30}$");
	if (re1.test(obj)) {
		return true;
	} else {
		return false;
	}

}

/**
 * 验证大陆的身份证号 验证身份证号 身份证号码为15位或18位的全数字，或者18位时前17位是数字，最后一位是校验位，可能是数字或字符X或x
 * 
 * @param obj
 */
function checkIdCard(obj) {
	if (/(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/.test(obj)) {
		return true;
	}
	return false;
}

/**
 * 验证金额（只能输入数字）
 * 
 * @param obj
 * @returns {Boolean}
 */
function checkMoney(obj) {
	/*
	 * if (/^([1-9][\d]{0,7}|0)(\.[\d]{1,2})?$/.test(obj)) { return true; }
	 * return false;
	 */

	// alert(obj);
	var reg = new RegExp("^[0-9]*$");
	if (reg.test(obj)) {
		return true;
	}

	return false;

}

/**
 * 验证电话号码
 * 
 * @param str
 * @returns
 */
function checkPhone(phone) {
	if (phone != "") {
		var p1 = /^(([0\+]\d{2,3}-)?(0\d{2,3})-)?(\d{7,8})(-(\d{3,}))?$/;
		var me = false;
		if (p1.test(phone))
			me = true;
		if (!me) {
			alert('对不起，您输入的电话号码有错误,区号和电话号码之间请用-分割!');
			return false;
		}
	} else {
		alert("电话号码不能为空！");
		return false;
	}
}
/**
 * 验证手机
 * 
 * @param mobile
 * @returns {Boolean}
 */
function checkMoble(mobile) {
	if (mobile != "") {
		var reg0 = /^13\d{5,9}$/;
		var reg1 = /^153\d{4,8}$/;
		var reg2 = /^159\d{4,8}$/;
		var reg3 = /^0\d{10,11}$/;
		var m = false;
		if (reg0.test(mobile))
			m = true;
		if (reg1.test(mobile))
			m = true;
		if (reg2.test(mobile))
			m = true;
		if (reg3.test(mobile))
			m = true;
		if (!m) {
			// alert('对不起，您输入的手机号码有误！');
			return false;
		}
		return true;
	} else {
		// alert("手机号码不能为空！");
		return false;
	}
}
/**
 * 验证银行账号
 */
function luhmCheck(bankno) {
	var reg = /^\d{19}$/; // 以19位数字开头，以19位数字结尾
	if (!reg.test(bankno)) {
		// alert("银行账号格式错误，应该是19位数字！");
		return false;
	}

	var lastNum = bankno.substr(bankno.length - 1, 1);// 取出最后一位（与luhm进行比较）
	var first15Num = bankno.substr(0, bankno.length - 1);// 前15或18位
	var newArr = new Array();
	for (var i = first15Num.length - 1; i > -1; i--) { // 前15或18位倒序存进数组
		newArr.push(first15Num.substr(i, 1));
	}
	var arrJiShu = new Array(); // 奇数位*2的积 <9
	var arrJiShu2 = new Array(); // 奇数位*2的积 >9

	var arrOuShu = new Array(); // 偶数位数组
	for (var j = 0; j < newArr.length; j++) {
		if ((j + 1) % 2 == 1) {// 奇数位
			if (parseInt(newArr[j]) * 2 < 9)
				arrJiShu.push(parseInt(newArr[j]) * 2);
			else
				arrJiShu2.push(parseInt(newArr[j]) * 2);
		} else
			// 偶数位
			arrOuShu.push(newArr[j]);
	}

	var jishu_child1 = new Array();// 奇数位*2 >9 的分割之后的数组个位数
	var jishu_child2 = new Array();// 奇数位*2 >9 的分割之后的数组十位数
	for (var h = 0; h < arrJiShu2.length; h++) {
		jishu_child1.push(parseInt(arrJiShu2[h]) % 10);
		jishu_child2.push(parseInt(arrJiShu2[h]) / 10);
	}

	var sumJiShu = 0; // 奇数位*2 < 9 的数组之和
	var sumOuShu = 0; // 偶数位数组之和
	var sumJiShuChild1 = 0; // 奇数位*2 >9 的分割之后的数组个位数之和
	var sumJiShuChild2 = 0; // 奇数位*2 >9 的分割之后的数组十位数之和
	var sumTotal = 0;
	for (var m = 0; m < arrJiShu.length; m++) {
		sumJiShu = sumJiShu + parseInt(arrJiShu[m]);
	}

	for (var n = 0; n < arrOuShu.length; n++) {
		sumOuShu = sumOuShu + parseInt(arrOuShu[n]);
	}

	for (var p = 0; p < jishu_child1.length; p++) {
		sumJiShuChild1 = sumJiShuChild1 + parseInt(jishu_child1[p]);
		sumJiShuChild2 = sumJiShuChild2 + parseInt(jishu_child2[p]);
	}
	// 计算总和
	sumTotal = parseInt(sumJiShu) + parseInt(sumOuShu)
			+ parseInt(sumJiShuChild1) + parseInt(sumJiShuChild2);

	// 计算Luhm值
	var k = parseInt(sumTotal) % 10 == 0 ? 10 : parseInt(sumTotal) % 10;
	var luhm = 10 - k;

	if (lastNum == luhm) {
		return true;
	} else {
		// alert("您输入的银行卡号不正确！");
		return false;
	}
}
/**
 * 付款备注验证
 * @param remark
 */
function checkRemark(remark) {
	var pattern = new RegExp("[`~!@#$^&*()=|{}':;'\\[\\]<>/?~！@#￥……&*（）——|{}【】‘；：”“'、？]")
	if (remark != "") {
		$.trim(remark);
		// if (!/^[\u4e00-\u9fa5_a-zA-Z0-9]+$/.test(remark)) {
		if (!/^[\u4e00-\u9fa5_a-zA-Z0-9]+$/.test(remark)||pattern.test(remark)) {
			mui.alert("请不要输入中文、字母、数字以外的特殊字符!");
			return;
		}
		if (!(remark.length >= 0 && remark.length <= 100)) {
			mui.alert("备注字数长度在0-100之间!");
			return;
		}
	}
}